package com.cirs.biz.domain;

import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;
import org.springframework.boot.context.properties.bind.DefaultValue;

/**
 * 验证任务详情对象 t_verification_task_detail
 * 
 * @author allen
 * @date 2023-11-03
 */
public class TVerificationTaskDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 任务id */
//    @Excel(name = "任务id")
    private Long taskId;

    @Excel(name = "使用场景")
    private String useScene;
    /** 查询条件 */
    @Excel(name = "查询条件")
    private String searchCondition;

    /** 标准结果1 */
    @Excel(name = "标准结果1")
    private String result1;

    private Long result1Id;

    /** 标准结果2 */
    @Excel(name = "标准结果2")
    private String result2;

    private Long result2Id;

    /** 标准结果3 */
    @Excel(name = "标准结果3")
    private String result3;

    private Long result3Id;

    /** 标准结果4 */
    @Excel(name = "标准结果4")
    private String result4;

    private Long result4Id;

    /** 标准结果5 */
    @Excel(name = "标准结果5")
    private String result5;

    private Long result5Id;

    /** 计算结果1 */
    @Excel(name = "计算结果1")
    private String calculate1;

    private Long calculate1Id;

    /** 计算结果2 */
    @Excel(name = "计算结果2")
    private String calculate2;

    private Long calculate2Id;

    /** 计算结果3 */
    @Excel(name = "计算结果3")
    private String calculate3;

    private Long calculate3Id;

    @Excel(name = "计算结果4")
    private String calculate4;

    private Long calculate4Id;

    @Excel(name = "计算结果5")
    private String calculate5;

    private Long calculate5Id;

    private Integer trained;
    private Integer tested;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public String getUseScene() {
        return useScene;
    }

    public void setUseScene(String useScene) {
        this.useScene = useScene;
    }

    public String getSearchCondition() {
        return searchCondition;
    }

    public void setSearchCondition(String searchCondition) {
        this.searchCondition = searchCondition;
    }

    public String getResult1() {
        return result1;
    }

    public void setResult1(String result1) {
        this.result1 = result1;
    }

    public Long getResult1Id() {
        return result1Id;
    }

    public void setResult1Id(Long result1Id) {
        this.result1Id = result1Id;
    }

    public String getResult2() {
        return result2;
    }

    public void setResult2(String result2) {
        this.result2 = result2;
    }

    public Long getResult2Id() {
        return result2Id;
    }

    public void setResult2Id(Long result2Id) {
        this.result2Id = result2Id;
    }

    public String getResult3() {
        return result3;
    }

    public void setResult3(String result3) {
        this.result3 = result3;
    }

    public Long getResult3Id() {
        return result3Id;
    }

    public void setResult3Id(Long result3Id) {
        this.result3Id = result3Id;
    }

    public String getResult4() {
        return result4;
    }

    public void setResult4(String result4) {
        this.result4 = result4;
    }

    public Long getResult4Id() {
        return result4Id;
    }

    public void setResult4Id(Long result4Id) {
        this.result4Id = result4Id;
    }

    public String getResult5() {
        return result5;
    }

    public void setResult5(String result5) {
        this.result5 = result5;
    }

    public Long getResult5Id() {
        return result5Id;
    }

    public void setResult5Id(Long result5Id) {
        this.result5Id = result5Id;
    }

    public String getCalculate1() {
        return calculate1;
    }

    public void setCalculate1(String calculate1) {
        this.calculate1 = calculate1;
    }

    public Long getCalculate1Id() {
        return calculate1Id;
    }

    public void setCalculate1Id(Long calculate1Id) {
        this.calculate1Id = calculate1Id;
    }

    public String getCalculate2() {
        return calculate2;
    }

    public void setCalculate2(String calculate2) {
        this.calculate2 = calculate2;
    }

    public Long getCalculate2Id() {
        return calculate2Id;
    }

    public void setCalculate2Id(Long calculate2Id) {
        this.calculate2Id = calculate2Id;
    }

    public String getCalculate3() {
        return calculate3;
    }

    public void setCalculate3(String calculate3) {
        this.calculate3 = calculate3;
    }

    public Long getCalculate3Id() {
        return calculate3Id;
    }

    public void setCalculate3Id(Long calculate3Id) {
        this.calculate3Id = calculate3Id;
    }

    public String getCalculate4() {
        return calculate4;
    }

    public void setCalculate4(String calculate4) {
        this.calculate4 = calculate4;
    }

    public Long getCalculate4Id() {
        return calculate4Id;
    }

    public void setCalculate4Id(Long calculate4Id) {
        this.calculate4Id = calculate4Id;
    }

    public String getCalculate5() {
        return calculate5;
    }

    public void setCalculate5(String calculate5) {
        this.calculate5 = calculate5;
    }

    public Long getCalculate5Id() {
        return calculate5Id;
    }

    public void setCalculate5Id(Long calculate5Id) {
        this.calculate5Id = calculate5Id;
    }

    public Integer getTrained() {
        return trained;
    }

    public void setTrained(Integer trained) {
        this.trained = trained;
    }

    public Integer getTested() {
        return tested;
    }

    public void setTested(Integer tested) {
        this.tested = tested;
    }

    @Override
    public String toString() {
        return "TVerificationTaskDetail{" +
                "id=" + id +
                ", taskId=" + taskId +
                ", useScene='" + useScene + '\'' +
                ", searchCondition='" + searchCondition + '\'' +
                ", result1='" + result1 + '\'' +
                ", result1Id=" + result1Id +
                ", result2='" + result2 + '\'' +
                ", result2Id=" + result2Id +
                ", result3='" + result3 + '\'' +
                ", result3Id=" + result3Id +
                ", result4='" + result4 + '\'' +
                ", result4Id=" + result4Id +
                ", result5='" + result5 + '\'' +
                ", result5Id=" + result5Id +
                ", calculate1='" + calculate1 + '\'' +
                ", calculate1Id=" + calculate1Id +
                ", calculate2='" + calculate2 + '\'' +
                ", calculate2Id=" + calculate2Id +
                ", calculate3='" + calculate3 + '\'' +
                ", calculate3Id=" + calculate3Id +
                ", calculate4='" + calculate4 + '\'' +
                ", calculate4Id=" + calculate4Id +
                ", calculate5='" + calculate5 + '\'' +
                ", calculate5Id=" + calculate5Id +
                ", trained=" + trained +
                ", tested=" + tested +
                '}';
    }
}
